<?php
function isHttps()
{
    $httpsHeaders = [
        'HTTPS' => ['on', '1'],
        'SERVER_PORT' => ['443'],
        'HTTP_X_FORWARDED_PROTO' => ['https'],
        'HTTP_X_FORWARDED_SSL' => ['on'],
        'HTTP_X_FORWARDED_PROTOCOL' => ['https'],
        'HTTP_FRONT_END_HTTPS' => ['on'],
        'HTTP_CF_VISITOR' => ['https'],
        'HTTP_X_AMZ_CF_PROTO' => ['https'],
        'HTTP_FASTLY_SSL' => ['1'],
        'HTTP_X_FORWARDED_SCHEME' => ['https'],
        'HTTP_X_URL_SCHEME' => ['https'],
    ];
    foreach ($httpsHeaders as $key => $values) {
        if (isset($_SERVER[$key])) {
            foreach ($values as $value) {
                if (stripos($_SERVER[$key], $value) !== false) {
                    return true;
                }
            }
        }
    }
    return false;
}

$protocol = isHttps() ? 'https' : 'http';
$current_directory = dirname($_SERVER['PHP_SELF']);
$api_path = dirname(dirname(dirname(dirname($current_directory))));
if (substr($api_path, -1) !== '/') {
    $api_path .= '/';
}
$api_path .= 'api/proxy';
$path_prefix = './'
?>

<section class="endpoints-section">
    <div class="endpoints-item">
        <h5 class="name">Proxy DNS</h5>
        <div class="input-group flex-nowrap mb-3">
            <input type="text" id="endpoint_1" name="endpoint_1" class="form-control" value="<?php echo "$protocol://$_SERVER[HTTP_HOST]$api_path/"; ?>" readonly />
            <button class="btn btn-outline-theme" type="button" data-toggle="clipboard" data-clipboard-target="#endpoint_1"><i class="fa fa-copy"></i></button>
        </div>
    </div>
</section>